scala.tools.cmd.gen

# CodegenSpec

#### object CodegenSpec extends CodegenSpec with Reference

Source
  CodegenSpec.scala

Linear Supertypes
Reference, CodegenSpec, Interpolation, StdOpts, Spec, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. CodegenSpec
2. Reference
3. CodegenSpec
4. Interpolation
5. StdOpts
6. Spec
7. AnyRef
8. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### type OptionMagic = Opt.Reference

   Definition Classes
     Reference → Spec

2. #### class SpecCommandLine extends CommandLine

   Definition Classes
     Reference

3. #### type ThisCommandLine = CommandLine

   Definition Classes
     CodegenSpec → Reference

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### object Bash extends Opt

   I think we're as close as we can get to bundling completion with the program given the constraints imposed by bash.

   I think we're as close as we can get to bundling completion with the program given the constraints imposed by bash. This outputs the completion function to a tempfile and echoes ". /path/to/file" to the console. Place it inside backtickes like `partest --bash` and voila, you have absorbed command completion.

   Definition Classes
     StdOpts

5. #### object SelfUpdate extends Opt

   Generates a very basic runner script.

   Generates a very basic runner script. It's called SelfUpdate because once it exists you can do something like

   tools/scmp --self-update tools/scmp

   and it will overwrite itself with the current version.

   Definition Classes
     StdOpts

6. #### val anyvals: Boolean

   Definition Classes
     CodegenSpec

7. #### final def apply(args: String*): ThisCommandLine

   Definition Classes
     Reference

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def creator(args: List[String]): ThisCommandLine

    Definition Classes
      CodegenSpec → Reference

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def expandArg(arg: String): List[String]

    Definition Classes
      Reference

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### val genall: Boolean

    Definition Classes
      CodegenSpec

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### def heading(str: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Spec

19. #### def help(str: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Reference → Spec

20. #### def helpMsg: String

    Definition Classes
      Reference

21. #### object interpolate

    Definition Classes
      Interpolation

22. #### def isBinaryOption(s: String): Boolean

    Definition Classes
      Reference

23. #### def isExpandOption(s: String): Boolean

    Definition Classes
      Reference

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### def isUnaryOption(s: String): Boolean

    Definition Classes
      Reference

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### implicit def optionMagicAdditions(name: String): Opt.Reference

    Attributes
      protected
    Definition Classes
      Reference → Spec

30. #### lazy val options: Accumulators

    Definition Classes
      Reference

31. #### val outDir: Option[Directory]

    Definition Classes
      CodegenSpec

32. #### def programInfo: Info

    Definition Classes
      CodegenSpec → Spec

33. #### def propertyArgs: List[String]

    Definition Classes
      Reference

34. #### def referenceSpec: CodegenSpec.type

    Definition Classes
      CodegenSpec → Spec

35. #### val selfUpdateName: Option[String]

    Definition Classes
      StdOpts

36. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

37. #### def toString(): String

    Definition Classes
      AnyRef → Any

38. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Reference

### Inherited from CodegenSpec

### Inherited from Interpolation

### Inherited from StdOpts

### Inherited from Spec

### Inherited from AnyRef

### Inherited from Any

### Ungrouped